summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2024-02-18 17:02:07 +0100
committerChristian Grothoff <christian@grothoff.org>2024-02-18 17:02:07 +0100
commit46f8f623e818344733bafd65b65bffabbcd028cd (patch)
treea03c4ef1e31298b140970e175655c5604d289ff0 /src
parent4ef317d781d4680b9027b574ab4aa7c8457f6bca (diff)
downloadexchange-46f8f623e818344733bafd65b65bffabbcd028cd.tar.gz
exchange-46f8f623e818344733bafd65b65bffabbcd028cd.tar.bz2
exchange-46f8f623e818344733bafd65b65bffabbcd028cd.zip
add logging of stages in unified setup
Diffstat (limited to 'src')
-rwxr-xr-xsrc/testing/taler-unified-setup.sh36
1 files changed, 35 insertions, 1 deletions
diff --git a/src/testing/taler-unified-setup.sh b/src/testing/taler-unified-setup.sh
index c1f12bc24..e0f581500 100755
--- a/src/testing/taler-unified-setup.sh
+++ b/src/testing/taler-unified-setup.sh
@@ -48,7 +48,7 @@ function exit_fail() {
# Cleanup to run whenever we exit
function cleanup()
{
- echo "Taler unified setup terminating!" >&2
+ echo "Taler unified setup terminating at $STAGE!" >&2
for n in $(jobs -p)
do
@@ -59,6 +59,8 @@ function cleanup()
exit "$EXIT_STATUS"
}
+STAGE="boot"
+
# Install cleanup handler (except for kill -9)
trap cleanup EXIT
@@ -193,10 +195,14 @@ while getopts ':abc:d:DeEfghkL:mMnr:stu:vwWz' OPTION; do
esac
done
+STAGE="init"
+
echo "Starting with configuration file at: $CONF_ORIG"
CONF="$CONF_ORIG.edited"
cp "${CONF_ORIG}" "${CONF}"
+STAGE="checks"
+
echo -n "Testing for jq"
jq -h > /dev/null || exit_skip " jq required"
echo " FOUND"
@@ -243,6 +249,9 @@ then
echo " FOUND"
fi
+STAGE="config"
+
+
EXCHANGE_URL=$(taler-config -c "$CONF" -s "EXCHANGE" -o "BASE_URL")
CURRENCY=$(taler-config -c "$CONF" -s "TALER" -o "CURRENCY")
@@ -321,6 +330,8 @@ then
BANK_URL="http://localhost:${BANK_PORT}/"
fi
+STAGE="bank"
+
if [ "1" = "$START_BANK" ]
then
echo -n "Setting up bank database ... "
@@ -418,6 +429,8 @@ then
echo " OK"
fi
+STAGE="accounts"
+
if [ "1" = "$START_FAKEBANK" ]
then
echo -n "Register Fakebank users ..."
@@ -448,6 +461,8 @@ then
echo " DONE"
fi
+STAGE="exchange"
+
if [ "1" = "$START_EXCHANGE" ]
then
echo -n "Starting exchange ..."
@@ -493,6 +508,8 @@ then
echo " DONE"
fi
+STAGE="donau"
+
if [ "1" = "$START_DONAU" ]
then
echo -n "Starting Donau ..."
@@ -512,6 +529,8 @@ then
echo " DONE"
fi
+STAGE="wirewatch"
+
if [ "1" = "$START_WIREWATCH" ]
then
echo -n "Starting wirewatch ..."
@@ -524,6 +543,8 @@ then
echo " DONE"
fi
+STAGE="aggregator"
+
if [ "1" = "$START_AGGREGATOR" ]
then
echo -n "Starting aggregator ..."
@@ -534,6 +555,8 @@ then
echo " DONE"
fi
+STAGE="transfer"
+
if [ "1" = "$START_TRANSFER" ]
then
echo -n "Starting transfer ..."
@@ -544,6 +567,8 @@ then
echo " DONE"
fi
+STAGE="merchant"
+
if [ "1" = "$START_MERCHANT" ]
then
echo -n "Starting merchant ..."
@@ -603,6 +628,7 @@ then
fi
fi
+STAGE="sync"
if [ "1" = "$START_BACKUP" ]
then
@@ -623,6 +649,8 @@ then
echo " DONE"
fi
+STAGE="challenger"
+
if [ "1" = "$START_CHALLENGER" ]
then
echo -n "Starting challenger ..."
@@ -666,6 +694,7 @@ then
done
fi
+STAGE="auditor"
if [ "1" = "$START_AUDITOR" ]
then
@@ -693,6 +722,7 @@ then
echo " DONE"
fi
+STAGE="wait"
echo -n "Waiting for Taler services ..."
# Wait for all other taler services to be available
@@ -864,6 +894,8 @@ then
echo " OK"
fi
+STAGE="ready"
+
# Signal caller that we are ready.
echo "<<READY>>"
@@ -879,6 +911,8 @@ else
read
fi
+STAGE="exiting"
+
echo "Taler unified setup terminating!" >&2
EXIT_STATUS=0
exit "$EXIT_STATUS"